Bug 53580 - Problems with rebooting with devfs enabled
Summary: Problems with rebooting with devfs enabled
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-12 10:05 UTC by Albert Strasheim
Modified: 2014-03-17 02:23 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-12 10:05:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2002:022 normal SHIPPED_LIVE New initscripts packages available for Red Hat Linux 7.2 2002-02-06 05:00:00 UTC

Description Albert Strasheim 2001-09-12 10:05:52 UTC
Description of Problem:

I've been creating a CD-ROM based installation of Red Hat 7.1 for myself
over the past week. I enabled devfs by adding a /dev/.devfs file (it is
looked for by rc.sysinit). This all works fine, and my CD-ROM+tmpfs is
chugging along fine, but there are problems when unmounting the devfs on
reboot.

The following seems to have fixed the problem. Change the line in
/etc/init.d/halt that reads:


remaining=`awk '!/(^#|proc|loopfs|autofs|^none|^\/dev\/root| \/ )/ {print
$2}' /proc/mounts`

to:

remaining=`awk '!/(^#|proc|loopfs|autofs|dev|^none|^\/dev\/root| \/ )/
{print $2}' /proc/mounts`


Version-Release number of selected component (if applicable):

5.84-1

How Reproducible:


Steps to Reproduce:
1. Enable devfs. Reboot.
2. Reboot again.
3. 

Actual Results:


Expected Results:

A big red [FAILED] on rebooting after: Unmounting filesystems:

Additional Information:

CONFIG_DEVFS_MOUNT=y was also enabled in the kernel. This might have
something to do with it.

Comment 1 Bill Nottingham 2002-01-25 04:24:45 UTC
Will be fixed in 6.51-1, thanks!


Note You need to log in before you can comment on or make changes to this bug.